## Interface IUserManager

Description

IUserManager interface

IUserManager specifies the interface that must be implemented by a user manager class if it is to be used together with TAuthManager and TUser.

- since: 3.0
- version: $Id: IUserManager.php 2244 2007-09-26 13:15:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Security/IUserManager.php (line 25)

Method Summary
string getGuestName ()
TUser getUser ([string $username = null])
TUser getUserFromCookie (THttpCookie $cookie)
void saveUserToCookie (THttpCookie $cookie)
boolean validateUser (string $username, string $password)
Methods
getGuestName (line 30)

- return: name for a guest user.
- access: public

string getGuestName ()
getUser (line 36)

Returns a user instance given the user name.

- return: the user instance, null if the specified username is not in the user database.
- access: public

TUser getUser ([string $username = null])

- string $username: user name, null if it is a guest.

getUserFromCookie (line 43)

Returns a user instance according to auth data stored in a cookie.

- return: the user instance generated based on the cookie auth data, null if the cookie does not have valid auth data.
- access: public
- since: 3.1.1

TUser getUserFromCookie (THttpCookie $cookie)

- THttpCookie $cookie: the cookie storing user authentication information

saveUserToCookie (line 49)

Saves user auth data into a cookie.

- access: public
- since: 3.1.1

void saveUserToCookie (THttpCookie $cookie)

- THttpCookie $cookie: the cookie to receive the user auth data.

validateUser (line 56)

Validates if the username and password are correct.

- return: true if validation is successful, false otherwise.
- access: public

boolean validateUser (string $username, string $password)

- string $username: user name
- string $password: password

Documentation generated on Mon, 21 Apr 2008 11:29:23 -0400 by phpDocumentor 1.3.0RC4